ReferenceItem lists
Routes
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/routes' \ -H 'Authorization: Bearer <access-token>'[ { "description": "string", "id": 0, "name": "string" }]GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
description?stringid?integerFormat
int32name?stringLength
length <= 50curl -X GET 'https://<your-instance>/api/item-lists/routes/0' \ -H 'Authorization: Bearer <access-token>'{ "description": "string", "id": 0, "name": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/routes/0' \ -H 'Authorization: Bearer <access-token>'Empty